@import "particles/variables";
@import "common/mixins";
@import "common/components";
@import "particles/customize";

html, body{
	font-size: 13px;
	font-family: $font-family;
	color: #676767;
	overflow-x: hidden;
}
a:hover{
	text-decoration: none;
}
img{
	max-width: 100%;
}


/**
 * Status
 */
nav#status{
	background-color: $dark;
	color: #fff;
	padding: .7rem 0;
	box-shadow: 0 2px 10px 2px #dedede;
	@include maw-md{
		display: none;
	}
	a{
		color: #fff;
	}
	.col-left{
		span{
			margin-right: 1.5rem;
		}
	}
	.col-right{
		text-align: right;
		span{
			margin-left: 1.5rem;
		}
		.dropdown{
			padding-bottom: 15px;
			.dropdown-menu{
				padding: .5rem;
				border-color: #dedede;
				margin-top: 14px;
				.dropdown-item{
					color: #676767;
					padding: .5rem 1rem;
					&:hover{
						color: $primary;
						background-color: #fafafa;
					}
				}
			}
		}
	}
}

/**
 * Header
 */
header#header{
	padding: 1.5em 0;
	@include maw-md{
		display: none;
	}
	.row{
		align-items: center;
		.header-logo{
			img{
				max-width: 100%;
			}
		}
		.search-box{
			.input-group{
				select{
					background-color: #fafafa;
					border-radius: 3px 0 0 3px;
					border-color: #dedede;
					border-right: 0;
				}
				input[type="search"]{
					border-radius: 0;
					border-color: #dedede;
					font-size: .9rem;
					border-left: none;
					border-right: none;
				}
				.input-group-append{
					button{
						border-radius: 0 3px 3px 0;
						border-color: $primary;
						border-left: 0;
						padding: .8rem 1rem;
					}
				}
			}
		}
	}
}


/**
 * Navigation
 */
nav#navigation{
	@include maw-md{
		display: none;
	}
	.nav-wrap{
		padding-left: 0;
		margin-bottom: 0;
		list-style: none;
		display: flex;
		justify-content: space-around;
		.nav-item{
			.nav-link{
				color: #676767;
				text-transform: uppercase;
				font-weight: 600;
				font-size: 1.25rem;
				padding: .3rem 1rem;
				border-bottom: 3px solid transparent;
				&:hover{
					border-bottom-color: #ee3b26;
				}
			}
			&.dropdown{
				padding-bottom: 1rem;
				.dropdown-menu{
					padding: 1.2rem;
					margin-top: 3em;
					left: -75% !important;
					// right: -50% !important;
					width: max-content;
					border-radius: 10px;
					border: 0;
					.cat-list{
						column-count: 2;
						column-gap: 15px;
						padding-bottom: 1rem;
						.dropdown-item{
							padding: 0;
							line-height: 2;
							&:hover{
								background-color: transparent;
								color: $primary;
							}
						}
					}
					.cat-thumbnail{
						img{
							border-radius: 10px;
						}
					}
				}
			}
		}
	}
}

/**
 * Main Container
 */
#mainContainer{
	box-shadow: 0 0 50px 15px #dedede;
	border-radius: 10px 10px 0 0;
	overflow: hidden;
	@include maw-sm{
		border-radius: 0;
	}
}

/**
 * Block Banner
 */
.block-banner{
	margin: auto -15px;
	.owl-nav{
		.owl-next, .owl-prev{
		}
	}
	.owl-dots{
		display: flex;
		position: absolute;
		bottom: 1rem;
		left: 0;
		right: 0;
		justify-content: center;
		.owl-dot{
			span{
				width: 12px;
				height: 12px;
				display: block;
				background-color: #676767;
				border-radius: 50%;
				margin: auto 1px;
			}
			&.active{
				span{
					background-color: #fff;
				}
			}
		}
	}
}

/**
 * Block Qcs
 */
.block-qcs{
	img{
		border-radius: 10px;
		max-width: 100%;
		@include maw-sm{
			margin: .5rem auto;
		}
	}
}

/**
 * Block Brands
 */
.block-brands{
	.item{
		border: 1px solid #f5f5f5;
		height: 60px;
		display: flex;
		justify-content: center;
		align-items: center;
		overflow: hidden;
		border-right: 0;
		img{
			max-width: 100%;
			max-height: 100%;
			width: auto;
		}
	}
}

/**
 * Footer
 */
footer#footer{
	margin: 0 -15px;
	.footer-top{
		padding-left: 15px;
		padding-right: 15px;
		padding-top: 2rem;
		padding-bottom: 2rem;
		background-color: #f8f8f8;
		.footer-logo{
			margin-bottom: 1.5rem;
			img{
				max-width: 100%;
				max-height: 45px;
			}
		}
	}
	ul.list{
		padding-left: 0;
		margin-bottom: 1rem;
		list-style: none;
		line-height: 2;
		.list-title{
			font-weight: 600;
			margin-bottom: .5rem;
		}
		.list-item{
			a, .list-link{
				color: #676767;
			}
		}
	}
	.footer-bottom{
		background-color: $primary;
		padding: .5rem 15px;
		color: #fff;
		img{
			height: 25px;
		}
	}
}

/**
 * Fixedbox
 */
.fixedbox{
	position: fixed;
	z-index: 5;
	right: 0;
	&#supportion{
		top: 20%;
		.fixed-item{
			background-color: $primary;
			border-radius: 10px 0 0 10px;
			padding: .8rem;
			text-align: center;
			display: block;
			color: #fff;
			font-size: .9rem;
			-webkit-transition: all .3s ease;
			-moz-transition: all .3s ease;
			-o-transition: all .3s ease;
			transition: all .3s ease;
			img{
				display: block;
				height: 25px;
				margin: auto auto .5rem auto;
			}
			&:hover{
				background-color: $dark;
			}
		}
	}
	&#position{
		bottom: 2rem;
		right: 15px;
		.fixed-item{
			img{
				width: 45px;
				cursor: pointer;
				-webkit-transition: all .3s ease;
				-moz-transition: all .3s ease;
				-o-transition: all .3s ease;
				transition: all .3s ease;
				&:hover{
					transform: scale3d(1.2,1.2,1.2);
				}
			}
		}
	}
}

/**
 * Aside Products
 */
 .aside-products{
	border: 1px solid #e1e1e1;
	border-radius: 5px;
	.aside-header{
		background-color: #e1e1e1;
		padding: 7px 0;
		text-align: center;
		.aside-title{
			text-transform: uppercase;
		}
	}
	.aside-body{
		padding: 1rem;
	}
	.aside-footer{
		border-top: 1px solid #f0f0f0;
		.btn{
			color: $primary;
		}
	}
 }

 /**
  * Block Products
  */
 .block-products{
	.block-header{
		.block-description{
			label{
				margin-bottom: 0;
				input{
					display: none;
					&:checked~span{
						border: 1px solid $primary;
						color: $primary;
					}
				}
				span{
					text-transform: uppercase;
					padding: .3rem .5rem;
					display: block;
					border-radius: 4px;
					cursor: pointer;
				}
			}
		}
	}
	.block-body{
		padding: 1rem 0;
	}
	.owl-carousel{
		.owl-stage-outer{
			overflow: unset;
		}
	}
 }

 /**
  * Block Brands
  */
 .block-brands{
	.block-header{
		.block-sort{
			display: flex;
			justify-content: space-between;
			label{
				margin-bottom: 0;
				input{
					display: none;
					&:checked~span{
						border: 1px solid $primary;
						color: $primary;
					}
				}
				span{
					text-transform: uppercase;
					padding: .3rem .7rem;
					display: block;
					border-radius: 6px;
					font-weight: 600;
					cursor: pointer;
				}
			}
		}
	}
	.block-body{
		.block-item-title{
			margin-bottom: 2rem;
			span{
				border-radius: 7px;
				background-color: $primary;
				color: #fff;
				font-weight: 500;
				display: block;
				padding: .2rem .8rem;
				font-size: 1.3rem;
				width: 60px;
				text-align: center;
				margin: auto;
			}
			hr{
				margin-bottom: -1.2rem;
			}
		}
	}
}

/**
 * Block Single
 */
.block-single{
	.block-single-images{
		.xzoom-container{
			width: 100%;
			.xzoom{
				border: 1px solid #dedede;
				border-radius: 5px;
				box-shadow: none;
				margin-bottom: 1rem;
			}
			.xzoom-thumbs{
				text-align: center;
				.xzoom-gallery{
					border: 1px solid #dedede;
					border-radius: 5px;
				}
			}
		}
	}
	.block-single-info{
		line-height: 2;
		.block-single-brand{
			a{
				color: #e00000;
				text-transform: uppercase;
			}
		}
		.block-single-name{
			font-size: 1.5rem;
			font-weight: 500;
			line-height: 1.2;
		}
		.block-single-code{
			span{
				font-weight: 600;
			}
		}
		.block-single-price{
			font-size: 1.8rem;
			color: #e00000;
			padding: .5rem 0;
		}
		.block-single-versions{
			margin-bottom: .7rem;
			label.text{
				input{
					display: none;
				}
				span{
					display: block;
					padding: .3rem .8rem;
					border: 1px dashed #aaa;
					color: #aaa;
					cursor: pointer;
					border-radius: 7px;
					margin-right: 2px;
				}
				input:checked~span{
					border: 1px solid $primary;
					background-color: $primary;
					color: #fff;
				}
			}
			label.color{
				input{
					display: none;
				}
				span{
					display: block;
					cursor: pointer;
					border-radius: 50%;
					width: 35px;
					height: 35px;
					box-shadow: 0 0 3px #727272;
					margin-right: 2px;
				}
				input:checked~span{
					box-shadow: 0 0 0px 2px #009EE0;
					color: #fff;
				}
			}
		}
		.block-single-quantity{
			margin-bottom: 1rem;
			.quantity-minus{
				border-radius: 7px 0 0 7px;
				background-color: #dedede;
				font-weight: 600;
				cursor: pointer;
				font-size: 1.1rem;
			}
			.quantity-plus{
				border-radius: 0 7px 7px 0;
				background-color: #dedede;
				font-weight: 600;
				cursor: pointer;
				font-size: 1.1rem;
			}
		}
		.block-single-actions{
			.btn-add-to-cart{
				padding: .8rem 1rem;
				border: 0;
				background-color: #23affc;
				color: #fff;
				cursor: pointer;
				border-radius: 7px;
				min-width: 150px;
				margin-bottom: .5rem;
			}
			.btn-buy{
				padding: .8rem 1rem;
				border: 0;
				background-color: $primary;
				color: #fff;
				cursor: pointer;
				border-radius: 7px;
				min-width: 150px;
				margin-bottom: .5rem;
			}
		}
	}
	.block-single-policy{
		border-radius: 7px;
		overflow: hidden;
		.block-single-policy-title{
			color: #fff;
			text-align: center;
			padding: .7rem 0;
			background-color: $primary;
		}
		.block-single-policy-body{
			border: 1px solid #dedede;
			border-top: 0;
			padding: .7rem;
			.block-single-policy-item{
				display: flex;
				margin-bottom: .8rem;
				div{
					width: 50px;
					height: 50px;
					background-color: $primary;
					border-radius: 50%;
					margin-right: .8rem;
					padding: 12px;
					vertical-align: middle;
					img{
						width: 100%;
						height: 100%;
					}
				}
				span{
					-ms-flex: 1;
					flex: 1;
					align-self: center;
				}
			}
		}
	}
	.block-single-content{
		.block-single-content-header{
			background-color: #dedede;
			text-transform: uppercase;
			font-size: 1.2rem;
			font-weight: 600;
			border-radius: 7px;
			padding: .7rem 1rem;
		}
		.block-single-content-body{
			padding: 1rem 0;
		}
	}
	.block-single-property{
		.block-single-property-header{
			background-color: #dedede;
			text-transform: uppercase;
			font-size: 1.2rem;
			font-weight: 600;
			border-radius: 7px;
			padding: .7rem 1rem;
		}
		.block-single-property-body{
			padding: 1rem 0;
		}
	}
	.block-single-related{
		.block-single-related-header{
			background-color: #dedede;
			text-transform: uppercase;
			font-size: 1.2rem;
			font-weight: 600;
			border-radius: 7px;
			padding: .7rem 1rem;
		}
		.block-single-related-body{
			padding: 1rem 0;
		}
	}
}

/**
 * Block cart
 */
.block-cart{
	.cart-table{
		.btn-remove{
			padding: 0;
			line-height: 2;
			color: $primary;
			cursor: pointer;
			background-color: transparent;
		}
		.cart-product-thumbnail{
			border: 1px solid #dedede;
			border-radius: 7px;
		}
		.cart-product-name{
			text-transform: uppercase;
			a{
				color: $primary;
			}
		}
		.custom-number{
			.quantity-minus{
				border-radius: 7px 0 0 7px;
				background-color: #dedede;
				font-weight: 600;
				cursor: pointer;
			}
			.quantity-plus{
				border-radius: 0 7px 7px 0;
				background-color: #dedede;
				font-weight: 600;
				cursor: pointer;
			}
		}
	}
	&#cartEmpty{
		text-align: center;
		line-height: 2;
		padding: 2rem 0;
		.cart-empty-title{
			font-size: 1.4rem;
		}
		.cart-empty-description{
			color: #aaa;
			font-size: 1.2rem;
		}
	}
}

/**
 * Aside Cart
 */
.aside-cart{
	border-radius: 7px;
	margin-bottom: 1rem;
	.aside-header{
		background-color: #dedede;
		text-align: center;
		font-weight: 600;
		padding: .5rem 0;
		border-radius: 7px 7px 0 0;
	}
	.aside-body{
		border: 1px solid #dedede;
		border-radius: 0 0 7px 7px;
		.strong-text{
			color: $primary;
			font-size: 1.5rem;
		}
	}
}


/**
 * Checkout Progress
 */
.checkout-progress{
	border-bottom: 1px solid #eee;
	display: flex;
	justify-content: center;
	margin-bottom: 2rem;
	@include maw-sm{
		display: block;
	}
	li{
		list-style: none;
		display: flex;
		align-items: center;
		padding: .5rem 0rem;
		margin: auto 2rem;
		border-bottom: 1px solid transparent;
		margin-bottom: -1px;
		@include maw-sm{
			border-bottom: 0;
			margin: 0;
		}
		.step{
			line-height: 1;
			width: 30px;
			height: 30px;
			background-color: $primary;
			border-radius: 50%;
			color: #fff;
			display: flex;
			align-items: center;
			justify-content: center;
			margin-right: .8rem;
		}
		&.active{
			border-bottom-color: $primary;
			color: $primary;
		}
	}
}

/**
 * Block checkout
 */
.block-checkout{
	.block-header{
		margin-bottom: 1.5rem;
		.block-title{
			color: $primary;
			line-height: 2;
			font-weight: 600;
		}
	}
	.address-book{
		border: 1px solid #dedede;
		border-radius: 7px;
		background-color: #fafafa;
		margin-bottom: 30px;
		padding: 1rem;
		.btn-outline-secondary{
			background-color: #fff;
			&:hover{
				color: #676767;
			}
		}
		.btn{
			padding: .5rem 1rem;
			margin-top: .5rem;
		}
	}
	#atmWrapper{
		.item-ticker-col{
			padding-left: 5px;
			padding-right: 5px;

			.item-ticker{
				position: relative;
				cursor: pointer;

				.item-input{
					display: none;

					&:checked{
						~ .item-hint{
							border: 1.5px solid #E00000;

							&::after{
								content: "\f00c";
								font-family: "FontAwesome";
								color: #fff;
								background-color: #E00000;
								width: 20px;
								height: 20px;
								display: block;
								text-align: center;
								position: absolute;
								right: -10px;
								top: -10px;
								border-radius: 50%;
							}
						}
					}
				}
				.item-img{
					width: 100%;
				}
				.item-hint{
					position: absolute;
					top: 0;
					bottom: 0;
					left: 0;
					right: 0;
					border: 1.5px solid transparent;

					&:hover{
						border: 1.5px dashed #02B0D5;
					}
				}
			}
		}
	}
}


/**
 * Article Content
 */
.block-article-content{
	.article-title{
		font-size: 1.3rem;
		margin-bottom: 1rem;
	}
}